Subject: bug#19020: flex support

From: brahim sahbi <[email-masked]>
Date: Tue, 11 Nov 2014 11:51:07 +0100

Hello,

I am trying to use flex with these options
AM_LFLAGS = --header-file=lang.h --yyclass=Lang --c++
My problem is that the file generated by lex is lex.yy.cc and not lex.yy.c.
So this command in the generated Makefile:
.lpp.cpp:
    $(AM_V_LEX)$(am__skiplex) $(SHELL) $(YLWRAP) $< $(LEX_OUTPUT_ROOT).c $@
-- $(LEXCOMPILE)

turns my lang.lpp to lang.cppc

I have looked in the ylwrap by launching it with $(SHELL) -x and had this
printed
++ printf '%s\n' lex.yy.cc
++ sed 's|lex\.yy\.c|lang.cpp|g;'
+ to=lang.cppc

Am I doing it worng or is this a bug?

Thanks.

-- 
Brahim SAHBI